Subject: Re: New snapshots and old binaries
From: Chris Faylor <[email-masked]>
To: Suhaib Siddiqi <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Aug 1999 18:21:50 -0400

On Tue, Aug 31, 1999 at 12:46:25PM -0400, Suhaib Siddiqi wrote:
>*> --- Jon Maltz <[email-masked]> wrote:
>> > Well, the simple apps compile and run with the aug30th cygwin1.dll
>> > snapshot, and coolview's libcygwin.a.  Slightly less simple apps blow up
>> > with _ctype_ errors (well, a slightly less simple app that happens to
>> > #include <ctype.h>).
>
>I did mention it yesterday too in response to Charles post.
>In B20.1 it is _ctype and in recent snapshots it is _ctype_.
>
>Install complete Cygwin latest snapshot, not only cygwin1.dll from
>August 30.

Actually, in "recent" snapshots (i.e., since May) ctype is exported
from the DLL.  That's what the problem is.

Just to reiterate for the fifth or sixth time:  Download everything from
the same place and you should be fine.  Don't grab libcygwin.a from one
site and cygwin1.dll from another.  I can't believe that this has to
be repeated.

-Chris Faylor
-Win32 Manager
-Cygnus Solutions

--
Want to unsubscribe from this list?
Send a message to [email-masked]